### Hierarchy

- Emitter
  - Functions

### Implements

- IEmitter
- IFunctions

## Index

### Constructors

- constructor

### Properties

- cell
- content
- helpers
- listeners
- onListeners
- parser
- vars

### Methods

- emit
- getCellFormatting
- getCellReference
- getCellUpdate
- getCellValue
- getTable
- isButtonWithinTaskRange
- isTaskValid
- off
- on
- parse
- register
- removeEvent
- removeEvents
- setCellFormatting
- setCellReference
- toUppercaseFunctions
- unRegister
- updateCell
- updateContentDelta
- updateVars

## Constructors

### constructor

- new Functions(content?: IPageContent, vars?: IFunctionsUser): Functions

- Overrides Emitter.constructor

  - Defined in Functions.ts:105

  #### Parameters

  - ##### Default value content: IPageContent = []

  - ##### Default value vars: IFunctionsUser = {}

  #### Returns Functions

## Properties

### cell

cell: IPageContentCell

Implementation of IFunctions.cell

- Defined in Functions.ts:103

### content

content: IPageContent

Implementation of IFunctions.content

- Defined in Functions.ts:106

### Private helpers

helpers: IHelpers

- Defined in Functions.ts:104

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### Private parser

parser: any

- Defined in Functions.ts:105

### vars

vars: IFunctionsUser

Implementation of IFunctions.vars

- Defined in Functions.ts:106

## Methods

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### getCellFormatting

- getCellFormatting(styles: IActionsStyle[], buttons?: IActionsButton[], contentDiff?: IPageContent): IActionsStyle[]

- Implementation of IFunctions.getCellFormatting

  - Defined in Functions.ts:323

  #### Parameters

  - ##### styles: IActionsStyle[]

  - ##### Default value buttons: IActionsButton[] = []

  - ##### Optional contentDiff: IPageContent

  #### Returns IActionsStyle[]

### getCellReference

- getCellReference(str: string): IPageContentCell

- Implementation of IFunctions.getCellReference

  - Defined in Functions.ts:256

  #### Parameters

  - ##### str: string

  #### Returns IPageContentCell

### getCellUpdate

- getCellUpdate(action: IActionsTaskActionSetAction): IFunctionsCellUpdate | null

- Implementation of IFunctions.getCellUpdate

  - Defined in Functions.ts:287

  #### Parameters

  - ##### action: IActionsTaskActionSetAction

  #### Returns IFunctionsCellUpdate | null

### Private getCellValue

- getCellValue(cell: IPageContentCell, raw?: boolean): any

- - Defined in Functions.ts:426

  #### Parameters

  - ##### cell: IPageContentCell

  - ##### Default value raw: boolean = false

  #### Returns any

### getTable

- getTable(config: IFunctionsTable): string

- Implementation of IFunctions.getTable

  - Defined in Functions.ts:381

  #### Parameters

  - ##### config: IFunctionsTable

  #### Returns string

### isButtonWithinTaskRange

- isButtonWithinTaskRange(buttonCell: IGridCell, taskGroup: IActionsTask): boolean

- Implementation of IFunctions.isButtonWithinTaskRange

  - Defined in Functions.ts:263

  #### Parameters

  - ##### buttonCell: IGridCell

  - ##### taskGroup: IActionsTask

  #### Returns boolean

### isTaskValid

- isTaskValid(task: IActionsTaskActionSet): boolean

- Implementation of IFunctions.isTaskValid

  - Defined in Functions.ts:279

  #### Parameters

  - ##### task: IActionsTaskActionSet

  #### Returns boolean

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### parse

- parse(str: string): string

- Implementation of IFunctions.parse

  - Defined in Functions.ts:242

  #### Parameters

  - ##### str: string

  #### Returns string

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IEmitter.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IEmitter.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### setCellFormatting

- setCellFormatting(styles: IActionsStyle[], buttons?: IActionsButton[], contentDiff?: IPageContent): IActionsStyle[]

- Implementation of IFunctions.setCellFormatting

  - Defined in Functions.ts:326

  #### Parameters

  - ##### styles: IActionsStyle[]

  - ##### Default value buttons: IActionsButton[] = []

  - ##### Optional contentDiff: IPageContent

  #### Returns IActionsStyle[]

### setCellReference

- setCellReference(cell: IPageContentCell): void

- Implementation of IFunctions.setCellReference

  - Defined in Functions.ts:260

  #### Parameters

  - ##### cell: IPageContentCell

  #### Returns void

### toUppercaseFunctions

- toUppercaseFunctions(expression: string): string

- Implementation of IFunctions.toUppercaseFunctions

  - Defined in Functions.ts:400

  #### Parameters

  - ##### expression: string

  #### Returns string

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

### updateCell

- updateCell(action: IActionsTaskActionSetAction): IFunctionsCellUpdate | null

- Implementation of IFunctions.updateCell

  - Defined in Functions.ts:290

  #### Parameters

  - ##### action: IActionsTaskActionSetAction

  #### Returns IFunctionsCellUpdate | null

### updateContentDelta

- updateContentDelta(content?: IPageContent): void

- Implementation of IFunctions.updateContentDelta

  - Defined in Functions.ts:230

  #### Parameters

  - ##### Default value content: IPageContent = []

  #### Returns void

### updateVars

- updateVars(vars: IFunctionsUser): void

- Implementation of IFunctions.updateVars

  - Defined in Functions.ts:227

  #### Parameters

  - ##### vars: IFunctionsUser

  #### Returns void

Generated using TypeDoc